set echo on
--
drop function times_42;
--
-- Using Function in WITH (SH.SALES  918843 rows)
--
set timing on
--
-- 1.33 first .66 second .65 third
-- 1.29 first 1.30 second 1.32 third
-- 3.49 first 3.63 second 3.39 third 
--
with function times_42(inval number)
return number
as
begin
 return inval * 42;
end;
select ename,empno,times_42(empno) from scott.emp;
--
--
create or replace function times_42(inval number)
 return number
as
begin
  return inval * 42;
end;
/
--
--
select channel_id,count(*) nbr_rows,sum(quantity_sold) qtysold,sum(times_42(cust_id)) cust42
  from sh.sales
  group by channel_id
  order by channel_id;
--
--
-- Using PRAGMA UDF
--
create or replace function times_42(inval number)
 return number
as
  pragma udf;
begin
  return inval * 42;
end;
/
--
--
select channel_id,count(*) nbr_rows,sum(quantity_sold) qtysold,sum(times_42(cust_id)) cust42
  from sh.sales
  group by channel_id
  order by channel_id;
--
--
