ALTER SYSTEM FLUSH BUFFER_CACHE;
ALTER SYSTEM FLUSH SHARED_POOL;
set timing on
select /*+ result_cache */ cust_last_name || ', ' || cust_first_name cust_name
      ,cust_city
      ,prod_id
      ,count(*) nbr_sales
 from sh.customers cust
    join sh.sales sales
      on cust.cust_id = sales.cust_id
 where country_id = 52789
   and prod_id in (120,126)
 group by cust_last_name,cust_first_name,cust_city,prod_id
 having count(*) > 10
 order by cust_name,nbr_sales;
run
run
set timing off