describe hr.employees
create or replace function avg_sal_job(injobid hr.employees.job_id%type)
  return number
is
  myresult hr.employees.salary%type;
begin
  select avg(salary) into myresult
     from hr.employees
     where job_id = injobid;
  return myresult;
exception
  when no_data_found
     then return -1;
end;
/
set timing on
SELECT EMPLOYEE_ID,LAST_NAME,SALARY	,AVG_SAL_JOB(JOB_ID) AVG_JOB_SAL
    FROM HR.EMPLOYEES
	ORDER BY AVG_JOB_SAL,SALARY,LAST_NAME;
--
SELECT EMPLOYEE_ID,LAST_NAME,SALARY,
   (SELECT AVG_SAL_JOB(JOB_ID) FROM DUAL) AVG_JOB_SAL
    FROM HR.EMPLOYEES
	ORDER BY AVG_JOB_SAL,SALARY,LAST_NAME;

  
